import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import TextArea from './ZTextArea'


const FormItem = Form.Item;


export default class T14C extends Component
{

    name='14C'
    desp = "Year"
    
    pattern = ""
    tno = -1

    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
       let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col>
            <FormItem
                  help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >          
                        <DatePicker defaultValue="" format="yyyy" value={value.s1} onChange={(date, dateString) => this.onChange(dateString)} />
                </FormItem>
            
            </Col>
        </Row>)
    }
}